Package com.complexible.stardog.api.admin.pack

# Class StandbyNodeStatus

java.lang.Object
com.complexible.stardog.api.admin.pack.StandbyNodeStatus

public class StandbyNodeStatus extends Object

A convenience class for standby status information

Since:
  9.0
Version:
  9.0
Author:
  Paul Marshall

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StandbyNodeStatus(String theSyncClusterAddress, StandbyNodeState theState, boolean theReadReplica, boolean theGeoReplica, long theTotalBytesToSync, long theSyncCount, String theStardogVersion, long theSyncIntervalMs, String theLastClusterAdminTx, String theLastStandbyNodeAdminTx, Map<String,Long> theDbSyncBytes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,Long>`
  `getDbSyncBytes()`
  `String`
  `getLastClusterAdminTx()`
  `String`
  `getLastStandbyNodeAdminTx()`
  `String`
  `getStardogVersion()`
  `StandbyNodeState`
  `getState()`
  `String`
  `getSyncClusterAddress()`
  `long`
  `getSyncCount()`
  `long`
  `getSyncIntervalMs()`
  `long`
  `getTotalBytesToSync()`
  `boolean`
  `isGeoReplica()`
  `boolean`
  `isReadReplica()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StandbyNodeStatus

    public StandbyNodeStatus(String theSyncClusterAddress, StandbyNodeState theState, boolean theReadReplica, boolean theGeoReplica, long theTotalBytesToSync, long theSyncCount, String theStardogVersion, long theSyncIntervalMs, String theLastClusterAdminTx, String theLastStandbyNodeAdminTx, Map<String,Long> theDbSyncBytes)

- ## Method Details

  - ### getSyncClusterAddress

    public String getSyncClusterAddress()

  - ### getState

    public StandbyNodeState getState()

  - ### isReadReplica

    public boolean isReadReplica()

  - ### isGeoReplica

    public boolean isGeoReplica()

  - ### getTotalBytesToSync

    public long getTotalBytesToSync()

  - ### getSyncCount

    public long getSyncCount()

  - ### getStardogVersion

    public String getStardogVersion()

  - ### getSyncIntervalMs

    public long getSyncIntervalMs()

  - ### getLastClusterAdminTx

    public String getLastClusterAdminTx()

  - ### getLastStandbyNodeAdminTx

    public String getLastStandbyNodeAdminTx()

  - ### getDbSyncBytes

    public Map<String,Long> getDbSyncBytes()